%define upstream_name    aliased
%define upstream_version 0.31

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Use shorter versions of class names
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

Provides:   perl(aliased)

%description
'aliased' is simple in concept but is a rather handy module. It loads the
class you specify and exports into your namespace a subroutine that returns
the class name. You can explicitly alias the class to another name or, if
you prefer, you can do so implicitly. In the latter case, the name of the
subroutine is the last part of the class name.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.310.0-2.mga4
+ Revision: 526336
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 0.310.0-1.mga4
+ Revision: 436682
- update to 0.31

* Sun Jan 13 2013 umeabot <umeabot> 0.300.0-3.mga3
+ Revision: 375339
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 11 2011 spuhler <spuhler> 0.300.0-2.mga2
+ Revision: 104058
- increase rel for rebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.300.0-1.mga1
+ Revision: 28936
- mageia rebuild
- imported package perl-aliased

